Bug 1839572 - Review Request: chaos-client - Client to interact with the Chaos DNS API
Summary: Review Request: chaos-client - Client to interact with the Chaos DNS API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: aegorenk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-24 19:23 UTC by Fabian Affolter
Modified: 2020-07-25 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-24 01:14:16 UTC
Type: ---
aegorenk: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-05-24 19:23:39 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/chaos-client.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/chaos-client-0.1.3-1.fc31.src.rpm

Project URL: https://github.com/projectdiscovery/chaos-client

Description:
Go client to communicate with Chaos DNS API.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=44914269

rpmlint output:
$ rpmlint chaos-client-0.1.3-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint chaos-client-*
chaos-client.x86_64: W: no-manual-page-for-binary chaos
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 aegorenk 2020-05-25 07:53:55 UTC
I'll review this.

Comment 2 aegorenk 2020-05-25 14:56:18 UTC
I'm sorry to say, but I've got an unexpected workload and most probably I'll have no time capacity to finish the review this week.
If this review is urgent feel free to set nobody as assignee and change status to NEW. If not, I'll start review later on this week.
Thank you for understanding.

Comment 3 Fabian Affolter 2020-06-28 07:55:05 UTC
%changelog
* Sun Jun 28 2020 Fabian Affolter <mail> - 0.1.4-1
- Update to latest upstream release 0.1.4

Spec URL: https://fab.fedorapeople.org/packages/SRPMS/chaos-client.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/chaos-client-0.1.4-1.fc31.src.rpm

Comment 4 aegorenk 2020-06-29 17:08:54 UTC
Could you include License file in the docs

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/eam/tmp/chaos-client/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com(golang-github-spaolacci-
     murmur3-devel, golang-github-knieriem-markdown-devel, golang-github-
     patrickmn-cache-devel, golang-github-chifflier-nfqueue-devel, golang-
     github-nbio-st-devel, golang-github-elves-elvish-devel, golang-github-
     djherbis-times-devel, golang-github-baiyubin-aliyun-sts-sdk-devel,
     golang-github-marstr-collection-devel, golang-github-protobuf-devel,
     golang-github-vaughan0-ini-devel, golang-github-sendgrid-rest-devel,
     golang-github-jmespath-devel, golang-github-jedisct1-dlog-devel,
     golang-github-gorilla-schema-devel, golang-github-mikioh-ipaddr-devel,
     golang-github-sqshq-sampler-devel, golang-github-microsoft-opengcs-
     devel, golang-github-gregjones-httpcache-devel, golang-github-gorilla-
     mux-devel, golang-github-hashicorp-cleanhttp-devel, golang-github-
     msteinert-pam-devel, golang-github-rs-xid-devel, golang-github-
     vishvananda-netlink-devel, golang-github-smartystreets-goconvey-devel,
     golang-github-decker502-dnspod-devel, golang-github-geertjohan-
     incremental-devel, golang-github-ishidawataru-sctp-devel, golang-
     github-antchfx-jsonquery-devel, golang-github-nicksnyder-i18n-2-devel,
     golang-github-ovh-devel, golang-github-fortytw2-leaktest-devel,
     golang-github-pkg-term-devel, golang-github-marstr-goalias-devel,
     compat-golang-github-commonmark-puny-devel, golang-github-lithammer-
     dedent-devel, golang-github-hawkular-client-devel, golang-github-
     peterbourgon-diskv-devel, golang-github-3rf-mongo-lint-devel, golang-
     github-pierrec-lz4-devel, golang-github-ffuf-devel, golang-github-
     cosiner-argv-devel, golang-github-golangplus-fmt-devel, golang-github-
     joho-godotenv-devel, golang-github-marten-seemann-qpack-devel, golang-
     github-rancher-devel, golang-github-ssgelm-cookiejarparser-devel,
     golang-github-tonistiigi-units-devel, golang-github-direnv-devel,
     golang-github-opencontainers-runtime-spec-devel, golang-github-
     bradfitz-iter-devel, golang-github-glacjay-goini-devel, golang-github-
     google-slothfs-devel, golang-github-antihax-optional-devel, golang-
     github-kylelemons-godebug-devel, golang-github-tarm-serial-devel,
     golang-github-xanzy-ssh-agent-devel, golang-github-skratchdot-open-
     devel, golang-github-simonferquel-yaml-devel, golang-github-hashicorp-
     serf-devel, golang-github-axiomhq-hyperloglog-devel, golang-github-
     coreos-semver-devel, golang-github-andy-kimball-arenaskl-devel,
     golang-github-pengsrc-shared-devel, golang-github-vdemeester-shakers-
     devel, golang-github-benlaurie-gds-registers-devel, golang-github-
     michaelklishin-rabbit-hole-devel, golang-github-bugsnag-panicwrap-
     devel, golang-github-10gen-escaper-devel, golang-github-vmware-
     govcloudair-devel, golang-github-lpabon-godbc-devel, golang-github-
     termie-shutil-devel, golang-github-yuin-gopher-lua-devel, golang-
     github-appc-goaci-devel, golang-github-clbanning-x2j-devel, golang-
     github-hajimehoshi-mp3-devel, golang-github-influxdata-
     influxdb1-client-devel, golang-github-h2non-gock-devel, golang-github-
     docker-units-devel, golang-github-jmoiron-sqlx-devel, golang-github-
     spf13-fsync-devel, golang-github-census-instrumentation-opencensus-
     proto-devel, golang-github-philhofer-fwd-devel, golang-github-gddo-
     devel, golang-github-eknkc-amber-devel, golang-github-container-
     storage-interface-spec-devel, golang-github-jefferai-jsonx-devel,
     golang-github-thecodeteam-goscaleio-devel, golang-github-ema-qdisc-
     devel, golang-github-h2non-parth-devel, golang-github-hashicorp-hclog-
     devel, golang-github-oklog-ulid-devel, golang-github-ajstarks-deck-
     devel, golang-github-google-martian-devel, golang-github-bmizerany-
     pat-devel, compat-golang-github-mvdan-xurls-devel, golang-github-
     gobwas-glob-devel, golang-github-cockroachdb-circuitbreaker-devel,
     golang-github-inconshreveable-muxado-devel, golang-github-geo-devel,
     golang-github-influxdata-promql-devel, golang-github-huandu-xstrings-
     devel, golang-github-afex-hystrix-devel, golang-github-eapache-
     resiliency-devel, golang-github-andreasbriese-bbloom-devel, golang-
     github-godoctor-devel, golang-github-cheekybits-genny-devel, golang-
     github-fatih-structs-devel, golang-github-gohugoio-testmodbuilder-
     devel, golang-github-oschwald-geoip2-devel, golang-github-wellington-
     libsass-devel, golang-github-duosecurity-duo-api-devel, golang-github-
     zmap-zlint-devel, golang-github-yvasiyarov-metrics-devel, golang-
     github-klauspost-compress-devel, golang-github-putdotio-putio-devel,
     golang-github-kr-pty-devel, golang-github-kr-binarydist-devel, golang-
     github-wjdp-htmltest-devel, golang-github-adrianmo-nmea-devel, golang-
     github-skarademir-naturalsort-devel, compat-golang-github-bufio-devel,
     golang-github-sermodigital-jose-devel, golang-github-ghodss-yaml-
     devel, golang-antlr4-runtime-devel, golang-github-kisielk-gotool-
     devel, golang-github-gliderlabs-ssh-devel, golang-github-logrusorgru-
     aurora-devel, golang-github-sendgrid-devel, golang-github-streadway-
     handy-devel, compat-golang-github-commonmark-html-devel, golang-
     github-alecthomas-repr-devel, golang-github-lithammer-fuzzysearch-
     devel, golang-github-backtrace-labs-bcd-devel, golang-github-
     mindprince-gonvml-devel, golang-github-cryptix-wav-devel, golang-
     github-mailru-easyjson-devel, golang-github-hashicorp-multierror-
     devel, golang-github-git-lfs-netrc-devel, golang-github-openapi-
     validate-devel, golang-github-armon-socks5-devel, golang-github-
     otiai10-mint-devel, golang-github-racker-perigee-devel, golang-github-
     kr-fs-devel, golang-github-sap-hdb-devel, golang-github-spf13-afero-
     devel, golang-github-unknwon-goconfig-devel, golang-github-google-
     querystring-devel, golang-github-fogleman-gg-devel, golang-github-
     benesch-cgosymbolizer-devel, golang-github-kardianos-service-devel,
     golang-github-jacobsa-ogletest-devel, golang-github-samuel-zookeeper-
     devel, golang-github-gorilla-csrf-devel, golang-github-rainycape-
     unidecode-devel, compat-golang-github-check-devel, golang-github-
     gocql-devel, golang-github-jsimonetti-rtnetlink-devel, golang-github-
     stretchr-objx-devel, golang-github-sabhiram-gitignore-devel, golang-
     github-mvo5-goconfigparser-devel, golang-github-pkg-xattr-devel,
     golang-github-kardianos-osext-devel, golang-github-projectdiscovery-
     gologger-devel, golang-github-eapache-queue-devel, golang-github-pkg-
     errors-devel, golang-github-kr-logfmt-devel, golang-github-
     dvsekhvalnov-jose2go-devel, golang-github-daviddengcn-assert-devel,
     golang-github-kit-devel, golang-github-peterh-liner-devel, golang-
     github-stretchr-testify-devel, golang-github-lightstep-tracer-devel,
     golang-github-jstemmer-gotags-devel, golang-github-rfjakob-gocryptfs-
     devel, golang-github-tomasen-realip-devel, golang-github-rogpeppe-
     charset-devel, golang-github-youmark-pkcs8-devel, golang-github-
     cloudflare-backoff-devel, golang-github-nrdcg-namesilo-devel, golang-
     github-clusterhq-flocker-devel, golang-github-k0kubun-ansi-devel,
     golang-github-golangplus-testing-devel, golang-github-mitchellh-
     wordwrap-devel, golang-github-paulrosania-charset-devel, golang-
     github-seccomp-libseccomp-devel, golang-github-digitalocean-godo-
     devel, golang-github-andybalholm-cascadia-devel, golang-github-
     gosimple-slug-devel, golang-github-rubiojr-vhd-devel, golang-github-
     docker-distribution-devel, golang-github-burntsushi-toml-devel,
     compat-golang-github-macaron-devel, compat-golang-github-h2non-gock-
     devel, golang-github-bep-gitmap-devel, golang-github-chmduquesne-
     rollinghash-devel, golang-github-davecgh-spew-devel, golang-github-
     mbndr-figlet4go-devel, golang-github-oklog-run-devel, golang-github-
     google-renameio-devel, golang-github-hashicorp-consul-devel, golang-
     github-bshuster-repo-logrus-logstash-hook-devel, golang-github-
     dpotapov-spnego-devel, golang-github-gobwas-httphead-devel, golang-
     github-revel-pathtree-devel, golang-github-kolo-xmlrpc-devel, golang-
     github-crossdock-devel, golang-github-goji-param-devel, golang-github-
     jimstudt-http-authentication-devel, golang-github-mattetti-filebuffer-
     devel, golang-github-oneofone-xxhash-devel, golang-github-
     spacemonkeygo-spacelog-devel, golang-github-valyala-bytebufferpool-
     devel, golang-github-andreyvit-diff-devel, golang-github-hashicorp-
     sockaddr-devel, golang-github-googleapis-gnostic-devel, golang-github-
     beevik-etree-devel, golang-github-evanphx-json-patch-devel, golang-
     github-shurcool-sanitized-anchor-name-devel, compat-golang-github-
     russross-blackfriday-2-devel, golang-github-aymerick-douceur-devel,
     golang-github-uber-jaeger-client-devel, golang-github-
     cosmos72-gomacro-devel, golang-github-koofr-koofrclient-devel, golang-
     github-fullsailor-pkcs7-devel, golang-github-mattn-gtk-devel, golang-
     github-ianbruene-difflib-devel, golang-github-checkpoint-restore-criu-
     devel, golang-github-anacrolix-missinggo-devel, golang-github-sanity-
     io-litter-devel, golang-github-hashicorp-rootcerts-devel, golang-
     github-gohugoio-hugo-devel, golang-github-bouk-httprouter-devel,
     golang-github-containerd-fifo-devel, golang-github-projectdiscovery-
     shuffledns-devel, golang-github-harrymichal-version-devel, golang-
     github-gdamore-tcell-devel, golang-github-jaguilar-vt100-devel,
     golang-github-hashicorp-raft-devel, golang-github-kyokomi-emoji-devel,
     golang-github-lucas-clemente-quic-devel, golang-github-hashicorp-
     memdb-devel, golang-github-xanzy-cloudstack-devel, golang-github-
     gobuffalo-packd-devel, golang-github-bruth-assert-devel, golang-
     github-dsnet-compress-devel, golang-github-pmezard-difflib-devel,
     golang-github-rkt-devel, golang-github-shopify-sarama-devel, golang-
     github-xlab-handysort-devel, golang-github-mdlayher-dhcp6-devel,
     golang-github-acme-lego-devel, golang-github-influxdata-line-protocol-
     devel, golang-github-cockroachdb-returncheck-devel, golang-github-
     unknwon-com-devel, golang-github-snappy-devel, compat-golang-github-
     coreos-bbolt-devel, golang-github-cockroachdb-cockroach-go-devel,
     golang-github-coreos-oidc-devel, golang-github-gehirninc-crypt-devel,
     golang-github-openapi-spec-devel, golang-github-syndtr-gocapability-
     devel, golang-github-aead-chacha20-devel, golang-github-nwaples-
     rardecode-devel, golang-github-atotto-clipboard-devel, golang-github-
     michaeltjones-walk-devel, golang-github-matryer-try-devel, golang-
     github-azure-storage-blob-devel, golang-github-xeipuuv-gojsonschema-
     devel, golang-github-jsternberg-zap-logfmt-devel, golang-github-
     shopify-logrus-bugsnag-devel, golang-github-j-keck-arping-devel,
     golang-github-rakyll-globalconf-devel, golang-github-racksec-srslog-
     devel, golang-github-tent-http-link-devel, golang-github-gorilla-
     securecookie-devel, golang-github-nats-io-devel, golang-github-oklog-
     devel, golang-github-rcrowley-metrics-devel, golang-github-hudl-fargo-
     devel, golang-github-schollz-progressbar-2-devel, golang-github-
     cockroachdb-ttycolor-devel, golang-github-urfave-cli-2-devel, golang-
     github-t3rm1n4l-mega-devel, golang-github-facebookgo-pidfile-devel,
     golang-github-willf-bitset-devel, golang-github-opencontainers-
     selinux-devel, golang-github-armon-gomdb-devel, golang-github-errors-
     devel, golang-github-rakyll-statik-devel, golang-github-soheilhy-cmux-
     devel, golang-github-alecthomas-units-devel, golang-github-kdar-
     factorlog-devel, golang-github-flynn-json5-devel, golang-github-
     openapi-swag-devel, golang-github-malfunkt-iprange-devel, golang-
     github-codahale-hdrhistogram-devel, golang-github-mholt-archiver-
     devel, golang-github-openapi-jsonpointer-devel, golang-github-axgle-
     mahonia-devel, golang-github-benbjohnson-immutable-devel, golang-
     github-docker-devel, golang-github-prometheus-alertmanager-devel,
     golang-github-xiaq-persistent-devel, compat-golang-github-xorm-devel,
     golang-github-influxdata-roaring-devel, golang-github-pkg-browser-
     devel, golang-github-hashicorp-consul-migrate-devel, golang-github-
     gin-gonic-devel, golang-github-haproxytech-client-native-devel,
     golang-github-influxdb-gomdb-devel, golang-github-ojii-gettext-devel,
     golang-github-sigma-inotify-devel, golang-github-opencontainers-
     digest-devel, golang-github-vividcortex-godaemon-devel, golang-github-
     vmware-vmw-guestinfo-devel, golang-github-xorm-sqlfiddle-devel,
     golang-github-google-gofuzz-devel, golang-github-audriusbutkevicius-
     cli-devel, golang-github-hailocab-hostpool-devel, golang-github-
     influxdata-httprouter-devel, golang-github-jacobsa-crypto-devel,
     golang-github-mmcloughlin-geohash-devel, golang-github-opentracing-
     contrib-grpc-devel, golang-github-nkovacs-streamquote-devel, golang-
     github-jdkato-prose-devel, golang-github-phayes-permbits-devel,
     golang-github-k-sone-critbitgo-devel, golang-github-gizak-termui-
     devel, golang-github-gorilla-handlers-devel, golang-github-twinj-uuid-
     devel, golang-github-anmitsu-shlex-devel, golang-github-containerd-
     zfs-devel, golang-github-hashicorp-immutable-radix-devel, golang-
     github-davecgh-xdr-devel, golang-github-nats-io-streaming-server-
     devel, golang-github-olekukonko-tablewriter-devel, golang-github-
     cyphar-filepath-securejoin-devel, golang-github-opentracing-devel,
     golang-github-bitly-simplejson-devel, golang-github-docker-compose-on-
     kubernetes-devel, golang-github-beorn7-perks-devel, golang-github-git-
     lfs-wildmatch-devel, golang-github-niklasfasching-org-devel, golang-
     github-onsi-ginkgo-devel, golang-github-montanaflynn-stats-devel,
     golang-github-petermattis-goid-devel, golang-github-bettercap-
     readline-devel, golang-github-samalba-dockerclient-devel, golang-
     github-dgryski-metro-devel, golang-github-zmap-rc2-devel, golang-
     github-hashicorp-version-devel, golang-github-teris-io-shortid-devel,
     golang-github-yashtewari-glob-intersection-devel, golang-github-
     bkaradzic-lz4-devel, golang-github-bgentry-speakeasy-devel, golang-
     github-cockroachdb-apd-devel, golang-github-d2g-dhcp4client-devel,
     golang-github-marcinbor85-gohex-devel, golang-github-marusama-
     semaphore-devel, golang-github-mistifyio-zfs-devel, golang-github-
     minio-sha256-simd-devel, golang-github-moby-buildkit-devel, golang-
     github-mreiferson-httpclient-devel, golang-github-openapi-errors-
     devel, golang-github-vbatts-tar-split-devel, golang-github-cloudflare-
     redoctober-devel, golang-github-hashicorp-syslog-devel, golang-github-
     tonistiigi-fsutil-devel, golang-github-facebookgo-atomicfile-devel,
     golang-github-vividcortex-ewma-devel, golang-github-jmank88-nuts-
     devel, golang-github-yvasiyarov-gorelic-devel, golang-github-a8m-tree-
     devel, golang-github-armon-metrics-devel, golang-github-golangplus-
     sort-devel, golang-github-karlseguin-ccache-devel, golang-github-
     gofrs-flock-devel, golang-github-benlaurie-objecthash-devel, golang-
     github-deckarep-set-devel, golang-github-graylog2-gelf-devel, golang-
     github-libgit2-git2go-devel, golang-github-maruel-panicparse-devel,
     golang-github-mschoch-smat-devel, golang-github-paulbellamy-
     ratecounter-devel, golang-github-gorilla-context-devel, golang-github-
     linuxdeepin-go-x11-client-devel, golang-github-macaron-inject-devel,
     golang-github-git-time-metric-gtm-devel, golang-github-jcmturner-
     gofork-devel, golang-github-mock-devel, golang-github-disintegration-
     imaging-devel, golang-github-mitchellh-homedir-devel, golang-github-
     godbus-dbus-devel, golang-github-aclements-moremath-devel, golang-
     github-gobuffalo-envy-devel, golang-github-jinzhu-now-devel, golang-
     github-pierrec-cmdflag-devel, golang-github-satori-uuid-devel, golang-
     github-xorm-devel, compat-golang-github-commonmark-markdown-devel,
     golang-github-freetype-devel, golang-github-gdamore-encoding-devel,
     golang-github-hashicorp-net-rpc-msgpackrpc-devel, golang-github-
     cespare-xxhash-devel, golang-github-jsonnet-bundler-devel, golang-
     github-martini-contrib-render-devel, golang-github-puerkitobio-
     goquery-devel, golang-github-bugsnag-devel, golang-github-coreos-
     systemd-devel, golang-github-jackpal-gateway-devel, golang-github-
     mitchellh-testing-interface-devel, golang-github-grpc-ecosystem-
     gateway-devel, golang-github-klauspost-crc32-devel, golang-github-
     yuin-goldmark-devel, golang-github-frankban-quicktest-devel, golang-
     github-anacrolix-log-devel, golang-github-jedisct1-clocksmith-devel,
     golang-github-devigned-tab-devel, golang-github-ianlancetaylor-
     cgosymbolizer-devel, golang-github-gin-gonic-autotls-devel, golang-
     github-nicksnyder-i18n-devel, golang-github-docker-go-devel, golang-
     github-nrdcg-dnspod-devel, golang-github-remeh-sizedwaitgroup-devel,
     golang-github-ryszard-goskiplist-devel, golang-github-oxtoacart-bpool-
     devel, golang-github-gobuffalo-logger-devel, golang-github-docker-
     connections-devel, golang-github-circonus-labs-gometrics-devel,
     golang-github-edsrzf-mmap-devel, golang-github-google-cmdtest-devel,
     golang-github-lightstep-tracer-common-devel, golang-github-
     chai2010-gettext-devel, golang-github-calmh-xdr-devel, golang-github-
     ttacon-chalk-devel, golang-github-leveldb-devel, golang-github-dchest-
     siphash-devel, golang-github-mattn-tty-devel, golang-github-pelletier-
     buffruneio-devel, golang-github-gomodule-redigo-devel, golang-github-
     danwakefield-fnmatch-devel, golang-github-hpcloud-tail-devel, golang-
     github-klauspost-pgzip-devel, golang-github-mdlayher-genetlink-devel,
     golang-github-containerd-cni-devel, golang-github-burntsushi-xgbutil-
     devel, golang-github-captncraig-caddy-realip-devel, golang-github-
     certifi-gocertifi-devel, golang-github-jinzhu-inflection-devel,
     golang-github-badgerodon-peg-devel, golang-github-abourget-teamcity-
     devel, golang-github-jpillora-requestlog-devel, golang-github-vmware-
     photon-controller-sdk-devel, golang-github-xeonx-timeago-devel,
     golang-github-linode-linodego-devel, golang-github-revel-devel,
     golang-github-bmizerany-perks-devel, golang-github-vitrun-qart-devel,
     golang-github-sourcegraph-syntaxhighlight-devel, golang-github-
     eapache-xerial-snappy-devel, golang-github-chrismalek-oktasdk-devel,
     golang-github-d2g-dhcp4server-devel, golang-github-kisielk-sqlstruct-
     devel, golang-github-remyoudompheng-bigfft-devel, golang-github-
     saracen-walker-devel, golang-github-gosexy-gettext-devel, golang-
     github-jedisct1-xsecretbox-devel, golang-github-bgentry-netrc-devel,
     golang-github-flynn-shlex-devel, golang-github-milochristiansen-lua-
     devel, golang-github-labbsr0x-bindman-dns-webhook-devel, golang-
     github-nlopes-slack-devel, golang-github-sethgrid-pester-devel,
     golang-github-geertjohan-rice-devel, golang-github-z-division-
     zookeeper-devel, golang-github-spacemonkeygo-flagfile-devel, golang-
     github-klauspost-cpuid-devel, golang-github-sourcegraph-annotate-
     devel, golang-github-spf13-cobra-devel, golang-github-lucas-clemente-
     quic-certificates-devel, golang-github-smartystreets-aws-auth-devel,
     golang-github-chzyer-test-devel, golang-github-coreos-pkg-devel,
     golang-github-kr-pretty-devel, golang-github-pebbe-zmq4-devel, golang-
     github-hashicorp-lru-devel, golang-github-containerd-ttrpc-devel,
     golang-github-gorilla-websocket-devel, golang-github-bettercap-gatt-
     devel, golang-github-audriusbutkevicius-nat-pmp-devel, golang-github-
     dsnet-golib-devel, golang-github-dustinkirkland-petname-devel,
     containerd-devel, golang-github-renstrom-dedent-devel, golang-github-
     spf13-pflag-devel, golang-github-masterminds-glide-devel, golang-
     github-jmhodges-levigo-devel, golang-github-rackspace-gophercloud-
     devel, golang-github-git-lfs-ntlm-devel, golang-github-tomnomnom-
     xtermcolor-devel, golang-github-yudai-gojsondiff-devel, golang-github-
     syndtr-goleveldb-devel, golang-github-krolaw-dhcp4-devel, golang-
     github-bep-tocss-devel, golang-github-d2g-dhcp4-devel, golang-github-
     spf13-jwalterweatherman-devel, golang-github-gobuffalo-packr-devel,
     golang-github-bettercap-nrf24-devel, golang-github-rs-zerolog-devel,
     golang-github-aws-sdk-2-devel, golang-github-prometheus-client-devel,
     golang-github-azure-pipeline-devel, golang-github-src-d-gcfg-devel,
     golang-github-microcosm-cc-bluemonday-devel, golang-github-
     opentracing-contrib-stdlib-devel, golang-github-bifurcation-mint-
     devel, golang-github-aybabtme-rgbterm-devel, golang-github-akavel-
     rsrc-devel, golang-github-benbjohnson-clock-devel, golang-github-
     jpillora-backoff-devel, golang-github-jpillora-tld-devel, golang-
     github-mdlayher-raw-devel, golang-github-naoina-toml-devel, golang-
     github-stack-devel, golang-github-vultr-govultr-devel, golang-github-
     docker-cli-devel, golang-github-fsouza-dockerclient-devel, golang-
     github-golangplus-bytes-devel, golang-github-coreos-log-devel, golang-
     github-grafov-hulk-devel, golang-github-kimor79-gollectd-devel,
     golang-github-akamai-akamaiopen-edgegrid-devel, golang-github-
     pelletier-toml-devel, golang-github-marstr-randname-devel, golang-
     github-posener-complete-devel, golang-github-prometheus-procfs-devel,
     golang-github-hashicorp-raft-boltdb-devel, golang-github-jroimartin-
     gocui-devel, golang-github-auth0-jwt-middleware-devel, golang-github-
     codegangsta-inject-devel, golang-github-mholt-certmagic-devel, golang-
     github-linuxkit-virtsock-devel, golang-github-d4l3k-messagediff-devel,
     golang-github-influxdata-influxql-devel, golang-github-jpillora-
     chisel-devel, golang-github-djherbis-buffer-devel, golang-github-nats-
     io-nuid-devel, golang-github-jessevdk-assets-devel, golang-github-
     liggitt-tabwriter-devel, golang-github-nvveen-gotty-devel, golang-
     github-bsphere-le-devel, golang-github-hashicorp-mdns-devel, golang-
     github-google-trillian-devel, golang-github-jacobsa-oglemock-devel,
     golang-github-safchain-ethtool-devel, golang-github-alcortesm-tgz-
     devel, golang-github-crewjam-saml-devel, golang-github-docker-
     credential-helpers-devel, golang-github-zyedidia-highlight-devel,
     golang-github-pact-foundation-devel, golang-github-pkg-profile-devel,
     golang-github-jedisct1-minisign-devel, golang-github-jtolds-gls-devel,
     compat-golang-github-coreos-etcd-devel, golang-github-bep-debounce-
     devel, golang-github-juju-ratelimit-devel, golang-github-rubyist-
     tracerx-devel, golang-github-aphistic-sweet-devel, golang-github-
     containerd-runc-devel, golang-github-gogo-googleapis-devel, golang-
     github-naoina-stringutil-devel, golang-github-pborman-uuid-devel,
     golang-github-hashicorp-checkpoint-devel, golang-github-
     shogo82148-shuffle-devel, golang-github-neelance-sourcemap-devel,
     golang-github-shurcool-httpfs-devel, compat-golang-github-mail-devel,
     golang-github-briandowns-spinner-devel, golang-github-masterminds-vcs-
     devel, golang-github-inconshreveable-mousetrap-devel, golang-github-
     nats-io-nkeys-devel, golang-github-cbroglie-mapstructure-devel,
     golang-github-containerd-cri-devel, golang-github-ijc-gotty-devel,
     golang-github-nrdcg-auroradns-devel, golang-github-wsxiaoys-terminal-
     devel, golang-github-hajimehoshi-oto-devel, golang-github-okzk-
     sdnotify-devel, golang-github-gobuffalo-flect-devel, golang-github-rs-
     cors-devel, golang-github-xeipuuv-gojsonpointer-devel, golang-github-
     daviddengcn-algs-devel, golang-github-mxk-flowrate-devel, golang-
     github-dgnorton-goback-devel, golang-github-dgrijalva-jwt-devel,
     golang-github-masterminds-semver-devel, golang-github-xdg-stringprep-
     devel, golang-github-azure-sdk-devel, golang-github-
     containernetworking-plugins-devel, golang-github-influxdata-influxdb-
     devel, golang-github-mitchellh-colorstring-devel, golang-github-
     temoto-robotstxt-devel, golang-github-burntsushi-toml-test-devel,
     golang-github-cpu-goacmedns-devel, golang-github-mrunalp-fileutils-
     devel, golang-github-lucasb-eyer-colorful-devel, golang-github-
     makenowjust-heredoc-devel, golang-github-revel-config-devel, compat-
     golang-github-cznic-ql-devel, golang-github-vividcortex-gohistogram-
     devel, golang-github-xi2-xz-devel, golang-github-rwcarlsen-goexif-
     devel, golang-github-direnv-dotenv-devel, golang-github-mattn-ieproxy-
     devel, golang-github-nats-io-stan-devel, golang-github-
     hydrogen18-stoppablelistener-devel, golang-github-data-dog-sqlmock-
     devel, golang-github-boltdb-bolt-devel, golang-github-haproxytech-
     models-devel, golang-github-kurin-blazer-devel, golang-github-
     cpuguy83-md2man-devel, compat-golang-github-alexcesaro-
     quotedprintable-devel, golang-github-jawher-mow-cli-devel, golang-
     github-petar-gollrb-devel, golang-github-euank-kmsg-parser-devel,
     golang-github-jung-kurt-gofpdf-devel, golang-github-pkg-sftp-devel,
     golang-github-logr-devel, golang-github-openapi-runtime-devel, golang-
     github-xeipuuv-gojsonreference-devel, golang-github-google-
     subcommands-devel, golang-github-alecthomas-chroma-devel, golang-
     github-urfave-negroni-devel, golang-github-opentracing-basictracer-
     devel, golang-github-nfnt-resize-devel, golang-github-facebookgo-
     clock-devel, golang-github-thomsonreuterseikon-ntlm-devel, compat-
     golang-github-lint-devel, golang-github-jpillora-sizestr-devel,
     golang-github-gogo-protobuf-devel, golang-github-cmd-devel, golang-
     github-tonistiigi-vt100-devel, golang-github-mesos-devel, golang-
     github-zmap-zcrypto-devel, golang-github-c-bata-prompt-devel, golang-
     github-quobyte-api-devel, golang-github-sacloud-libsacloud-devel,
     golang-github-sevlyar-daemon-devel, golang-github-knq-sysutil-devel,
     golang-github-alecthomas-assert-devel, golang-github-hanwen-fuse-
     devel, golang-github-inconshreveable-vhost-devel, golang-github-
     macaron-session-devel, golang-github-appc-spec-devel, golang-github-
     linkedin-goavro-devel, golang-github-macaron-gzip-devel, golang-
     github-getkin-kin-openapi-devel, golang-github-azure-service-bus-
     devel, golang-github-nats-io-jwt-devel, golang-github-xlab-treeprint-
     devel, golang-github-bep-tmc-devel, golang-github-jlaffaye-ftp-devel,
     golang-github-spacemonkeygo-openssl-devel, golang-github-viant-afs-
     devel, golang-github-djherbis-nio-devel, golang-github-armon-circbuf-
     devel, golang-github-aablinov-caddy-geoip-devel, golang-github-knz-
     libedit-devel, golang-github-armon-proxyproto-devel, golang-github-
     labbsr0x-goh-devel, golang-github-shurcool-vfsgen-devel, golang-
     github-gorilla-css-devel, golang-github-google-uuid-devel, golang-
     github-spf13-nitro-devel, golang-github-jackc-fake-devel, golang-
     github-vividcortex-mysqlerr-devel, golang-github-tidwall-pretty-devel,
     golang-github-op-logging-devel, golang-github-miekg-dns-devel, golang-
     github-denisenkom-mssqldb-devel, golang-github-grpc-ecosystem-
     prometheus-devel, golang-github-zyedidia-tcell-devel, golang-github-
     jeffail-gabs-devel, golang-github-mitchellh-vnc-devel, golang-github-
     google-cmp-devel, golang-github-xorm-builder-devel, golang-github-
     jellevandenhooff-dkim-devel, golang-github-marten-seemann-qtls-devel,
     golang-github-hashicorp-yamux-devel, golang-github-gucumber-devel,
     golang-github-bradfitz-gomemcache-devel, golang-github-cheat-devel,
     golang-github-franela-goblin-devel, golang-github-akrennmair-gopcap-
     devel, golang-github-minio-devel, golang-github-jamesclonk-vultr-
     devel, golang-github-cloudflare-cfssl-devel, golang-github-mattn-
     sqlite3-devel, golang-github-docker-libnetwork-devel, golang-github-
     rfjakob-eme-devel, golang-github-aliyun-alibaba-cloud-sdk-devel,
     golang-github-ziutek-mymysql-devel, golang-github-json-iterator-devel,
     golang-github-mattn-colorable-devel, golang-github-fsnotify-devel,
     golang-github-dustin-humanize-devel, golang-github-storageos-api-
     devel, golang-github-sirupsen-logrus-devel, golang-github-bmizerany-
     assert-devel, golang-github-jonboulle-clockwork-devel, golang-github-
     jpillora-ansi-devel, golang-github-markbates-inflect-devel, golang-
     github-thinkerou-favicon-devel, golang-github-acobaugh-osrelease-
     devel, golang-github-data-dog-godog-devel, golang-github-alecthomas-
     kong-devel, golang-github-shurcool-httpgzip-devel, golang-github-
     opentracing-contrib-observer-devel, golang-github-goji-httpauth-devel,
     golang-github-facebookgo-httpdown-devel, golang-github-influxdata-
     flux-devel, golang-github-dchest-safefile-devel, golang-github-
     globalsign-mgo-devel, golang-github-armon-radix-devel, golang-github-
     influxdata-usage-client-devel, golang-github-opencontainers-runtime-
     tools-devel, golang-github-alecthomas-colour-devel, golang-github-
     influxdata-cache-devel, golang-github-muesli-smartcrop-devel, golang-
     github-mitchellh-goamz-devel, golang-github-containerd-continuity-
     devel, golang-github-burntsushi-locker-devel, golang-github-urfave-
     cli-devel, golang-github-yunify-qingstor-sdk-devel, golang-github-
     caddyserver-caddy-devel, golang-github-circonus-labs-apiclient-devel,
     golang-github-opencontainers-runc-devel, golang-github-prometheus-
     common-devel, golang-github-shirou-gopsutil-devel, golang-github-
     datadog-devel, golang-github-azure-ansiterm-devel, golang-github-
     elithrar-simple-scrypt-devel, golang-github-denverdino-aliyungo-devel,
     golang-github-hashicorp-msgpack-devel, golang-github-azure-autorest-
     devel, golang-github-circonus-labs-circonusllhist-devel, golang-
     github-nrdcg-goinwx-devel, golang-github-anacrolix-dms-devel, golang-
     github-matttproud-protobuf-extensions-devel, golang-github-subosito-
     gotenv-devel, golang-github-glog-devel, golang-github-tinylib-msgp-
     devel, golang-github-rverton-webanalyze-devel, golang-github-
     lunixbochs-vtclean-devel, golang-github-pquerna-otp-devel, golang-
     github-hashicorp-hcl-devel, golang-github-zyedidia-clipboard-devel,
     golang-github-dghubble-sessions-devel, compat-golang-github-
     commonmark-linkify-devel, compat-golang-github-ldap-devel, golang-
     github-marten-seemann-chacha20-devel, golang-github-mileusna-
     useragent-devel, golang-github-openapi-jsonreference-devel, golang-
     github-gorilla-sessions-devel, golang-github-tchap-patricia-devel,
     golang-github-chi-devel, golang-github-datadog-zstd-devel, golang-
     github-cloudflare-metrics-devel, golang-github-fatih-color-devel,
     golang-github-bettercap-recording-devel, golang-github-mattn-isatty-
     devel, golang-github-jackc-pgx-devel, golang-github-piprate-json-gold-
     devel, golang-github-coreos-iptables-devel, compat-golang-github-xorm-
     builder-devel, golang-github-azure-amqp-common-devel, golang-github-
     masterminds-semver-1-devel, golang-github-mitchellh-copystructure-
     devel, golang-github-resty-devel, golang-github-google-replayers-
     devel, golang-github-martini-devel, golang-github-emicklei-restful-
     devel, golang-github-jwilder-encoding-devel, golang-github-sony-
     gobreaker-devel, golang-github-data-dog-txdb-devel, golang-github-
     pquerna-cachecontrol-devel, golang-github-client9-plaintext-devel,
     golang-github-zyedidia-terminal-devel, golang-github-olekukonko-ts-
     devel, golang-github-google-jsonnet-devel, golang-github-tcnksm-input-
     devel, golang-github-hashicorp-errwrap-devel, golang-github-appc-
     docker2aci-devel, golang-github-cilium-ebpf-devel, golang-github-
     thorduri-libusb-devel, golang-github-m3db-prometheus-client-devel,
     golang-github-jinzhu-gorm-devel, golang-github-hako-durafmt-devel,
     golang-github-mitchellh-reflectwalk-devel, golang-github-azure-amqp-
     devel, golang-github-docopt-devel, golang-github-getsentry-raven-
     devel, golang-github-google-tspi-devel, compat-golang-github-chzyer-
     readline-devel, golang-github-syncthing-notify-devel, golang-github-
     burntsushi-graphics-devel, golang-github-docker-libtrust-devel,
     golang-github-justinas-alice-devel, golang-github-hashicorp-raft-mdb-
     devel, golang-github-evilsocket-islazy-devel, golang-github-
     alecthomas-template-devel, golang-github-mitchellh-mapstructure-devel,
     golang-github-openapi-strfmt-devel, golang-github-haproxytech-config-
     parser-devel, golang-github-alangpierce-forceexport-devel, golang-
     github-ulikunitz-xz-devel, golang-github-nytimes-gziphandler-devel,
     golang-github-pascaldekloe-goe-devel, golang-github-ryanuber-
     columnize-devel, golang-github-elastic-gosigar-devel, golang-github-
     nwidger-jsoncolor-devel, golang-github-valyala-goloris-devel, golang-
     github-google-wire-devel, golang-github-mdlayher-netlink-devel,
     golang-github-rasky-xdr-devel, compat-golang-github-ini-devel, golang-
     github-harleo-asnip-devel, golang-github-yuin-goldmark-highlighting-
     devel, golang-github-mndrix-tap-devel, golang-github-grpc-ecosystem-
     opentracing-devel, golang-github-influxdata-cron-devel, golang-github-
     gofrs-uuid-devel, golang-github-tdewolff-minify-devel, golang-github-
     xdg-scram-devel, golang-github-lib-pq-devel, golang-github-marstr-
     guid-devel, golang-github-google-flatbuffers-devel, golang-github-
     containerd-btrfs-devel, golang-github-zyedidia-glob-devel, golang-
     github-anacrolix-envpprof-devel, golang-github-jbenet-context-devel,
     compat-golang-github-tylerb-graceful-devel, golang-github-
     casbin-2-devel, golang-github-magiconair-properties-devel, golang-
     github-blang-semver-devel, golang-github-lucas-clemente-aes12-devel,
     golang-github-ncw-swift-devel, golang-github-tismayil-ohmybackup-
     devel, golang-github-docker-libkv-devel, golang-github-calmh-du-devel,
     golang-github-mitchellh-cli-devel, golang-github-koofr-httpclient-
     devel, golang-github-kr-text-devel, golang-github-adroll-goamz-devel,
     golang-github-googleapis-gax-devel, golang-github-opencontainers-
     image-spec-devel, golang-github-cloudflare-devel, golang-github-
     exponent-io-jsonpath-devel, golang-github-modern-concurrent-devel,
     golang-github-rogpeppe-internal-devel, golang-github-tg-gosortmap-
     devel, compat-golang-github-asn1-ber-devel, golang-github-
     facebookarchive-inject-devel, golang-github-franela-goreq-devel,
     golang-github-burntsushi-xgb-devel, golang-github-google-certificate-
     transparency-devel, golang-github-jdkato-syllables-devel, golang-
     github-containerd-typeurl-devel, golang-github-oj-gobuster-devel,
     golang-github-spacejam-loghisto-devel, golang-github-spf13-cast-devel,
     golang-github-docker-metrics-devel, golang-github-jacobsa-
     oglematchers-devel, golang-github-docker-swarmkit-devel, golang-
     github-bradfitz-smtpd-devel, golang-github-zyedidia-pty-devel, golang-
     github-openapi-loads-devel, golang-github-reiver-oi-devel, golang-
     github-blakesmith-ar-devel, golang-github-docker-licensing-devel,
     golang-github-revel-log15-devel, golang-github-fernet-devel, golang-
     github-rogpeppe-fastuuid-devel, golang-github-sean-seed-devel, golang-
     github-bfirsh-funker-devel, golang-github-prometheus-tsdb-devel,
     golang-github-sstarcher-okta-devel, golang-github-mattn-pointer-devel,
     golang-github-casbin-devel, golang-github-dchest-cssmin-devel, golang-
     github-uber-jaeger-lib-devel, golang-github-mvo5-uboot-devel, golang-
     github-google-monologue-devel, golang-github-groupcache-devel, golang-
     github-billziss-gh-cgofuse-devel, golang-github-influxdata-tdigest-
     devel, golang-github-vincent-petithory-dataurl-devel, golang-github-
     cockroachdb-cmux-devel, golang-github-kballard-shellquote-devel,
     golang-github-otiai10-copy-devel, golang-github-coreos-ioprogress-
     devel, compat-golang-github-chzyer-logex-devel, golang-github-docker-
     spdystream-devel, golang-github-glycerine-unsnap-stream-devel, golang-
     github-hashicorp-memberlist-devel, golang-github-skynetservices-
     skydns-devel, golang-github-smartystreets-assertions-devel, golang-
     github-masterzen-simplexml-devel, golang-github-emicklei-restful-
     swagger12-devel, golang-github-streadway-amqp-devel, golang-github-
     kisom-goutils-devel, golang-github-containerd-aufs-devel, golang-
     github-googlecloudplatform-k8s-cloud-provider-devel, golang-github-
     soundcloud-runit-devel, golang-github-viant-toolbox-devel, golang-
     github-sergi-diff-devel, golang-github-nats-io-server-devel, golang-
     github-xrash-smetrics-devel, golang-github-jessevdk-flags-devel,
     golang-github-haproxytech-dataplaneapi-devel, golang-github-gopherjs-
     devel, golang-github-buger-jsonparser-devel, golang-github-
     roaringbitmap-roaring-devel, golang-github-xordataexchange-crypt-
     devel, golang-github-fatih-camelcase-devel, golang-github-houzuoguo-
     tiedot-devel, golang-github-karrick-godirwalk-devel, golang-github-
     fatih-set-devel, golang-github-mattn-runewidth-devel, golang-github-
     google-pprof-devel, golang-github-retailnext-hllpp-devel, golang-
     github-hashicorp-retryablehttp-devel, golang-github-cockroachdb-
     cockroach-devel, golang-github-rican7-retry-devel, golang-github-
     mattn-shellwords-devel, golang-github-disintegration-gift-devel,
     golang-github-erikstmartin-testdb-devel, golang-github-timewasted-
     linode-devel, golang-github-containerd-cgroups-devel, golang-github-
     hashicorp-plugin-devel, golang-github-shopspring-decimal-devel,
     golang-github-knetic-govaluate-devel, golang-github-grpc-ecosystem-
     middleware-devel, golang-github-mingrammer-commonregex-devel, golang-
     github-zmap-zflags-devel, golang-github-dustin-broadcast-devel,
     golang-github-aws-sdk-devel, golang-github-eclipse-paho-mqtt-devel,
     golang-github-hashicorp-hil-devel, golang-github-xo-dburl-devel,
     golang-github-openzipkin-contrib-zipkin-opentracing-devel, golang-
     github-serialx-hashring-devel, golang-github-client9-gospell-devel,
     golang-github-ugorji-devel, golang-github-daviddengcn-colortext-devel,
     golang-github-iij-doapi-devel, golang-github-oracle-oci-sdk-devel,
     golang-github-pborman-getopt-devel, golang-github-inconshreveable-
     log15-devel, golang-github-miekg-mmark-devel, golang-github-logfmt-
     devel, golang-github-thejerf-suture-devel, golang-github-snapcore-
     gettext-devel, golang-github-krishicks-yaml-patch-devel, golang-
     github-asaskevich-govalidator-devel, golang-github-mjibson-appstats-
     devel, golang-github-nbutton23-zxcvbn-devel, golang-github-onsi-
     gomega-devel, golang-github-mgutz-logxi-devel, golang-github-docker-
     events-devel, golang-github-linuxdeepin-dbus-factory-devel, golang-
     github-google-gousb-devel, golang-github-facebookarchive-structtag-
     devel, golang-github-ceph-devel, golang-github-caddyserver-
     dnsproviders-devel, golang-github-howeyc-gopass-devel, golang-github-
     namedotcom-devel, golang-github-kagami-avif-devel, golang-github-sql-
     driver-mysql-devel, golang-github-oschwald-maxminddb-devel, golang-
     github-modern-reflect2-devel, golang-github-aead-poly1305-devel,
     golang-github-creack-goselect-devel, golang-github-andybalholm-brotli-
     devel, golang-github-prometheus-devel, golang-github-bep-golibsass-
     devel, golang-github-anacrolix-tagflag-devel, golang-github-google-
     shlex-devel, golang-github-hashicorp-uuid-devel, golang-github-
     gophercloud-devel, golang-github-apache-thrift-devel, golang-github-
     russellhaering-goxmldsig-devel, golang-github-liquidweb-devel, golang-
     github-git-lfs-devel, golang-github-jacobsa-reqtrace-devel, golang-
     github-bobesa-domain-util-devel, golang-github-google-cadvisor-devel,
     golang-github-daviddengcn-villa-devel, golang-github-
     performancecopilot-speed-devel, golang-github-pires-proxyproto-devel,
     golang-github-aliyun-oss-sdk-devel, golang-github-dnsimple-devel,
     golang-github-dgryski-bitstream-devel, golang-github-shopify-
     toxiproxy-devel, golang-github-simonpasquier-klog-gokit-devel, golang-
     github-vmware-govmomi-devel, compat-golang-github-commonmark-mdurl-
     devel, golang-github-sasha-s-deadlock-devel, golang-github-
     anaskhan96-soup-devel, golang-github-theupdateframework-notary-devel,
     golang-github-exoscale-egoscale-devel, golang-github-andygrunwald-
     gerrit-devel, golang-github-googlecloudplatform-cloudsql-proxy-devel,
     golang-github-restic-chunker-devel, golang-github-dnaeon-vcr-devel,
     golang-github-facebookgo-stats-devel, golang-github-test-deep-devel,
     golang-github-cenkalti-backoff-devel, golang-github-hashicorp-gcp-
     common-devel, golang-github-miekg-pkcs11-devel, golang, golang-github-
     alexflint-filemutex-devel, golang-github-nightlyone-lockfile-devel,
     golang-github-openzipkin-zipkin-devel, golang-github-mwitkow-
     conntrack-devel, golang-github-aclements-gg-devel, golang-github-
     google-gopacket-devel, golang-github-zyedidia-poller-devel, golang-
     github-openapi-analysis-devel, golang-github-emirpasic-gods-devel,
     compat-golang-github-xorm-core-devel, golang-github-dropbox-sdk-
     unofficial-devel, golang-github-mdlayher-wifi-devel, golang-github-
     google-devel, golang-github-xiang90-probing-devel, golang-github-
     tonistiigi-immutable-radix-devel, golang-github-boombuler-barcode-
     devel, golang-github-goftp-server-devel, golang-github-seandolphin-
     bqschema-devel, golang-github-dep-devel, golang-github-transip-
     gotransip-devel, golang-github-fluent-logger-devel, golang-github-
     rainycape-memcache-devel, golang-github-pquerna-ffjson-devel, golang-
     github-tomnomnom-assetfinder-devel, golang-github-valyala-
     fasttemplate-devel, golang-github-elazarl-bindata-assetfs-devel,
     golang-github-vishvananda-netns-devel, golang-github-ghemawat-stream-
     devel, golang-github-julienschmidt-httprouter-devel, golang-github-
     tdewolff-test-devel, golang-github-tomnomnom-httprobe-devel, golang-
     github-uber-tally-devel, compat-golang-github-robfig-cron-devel,
     golang-github-mmarkdown-mmark-devel, golang-github-jfrogdev-gofrog-
     devel, golang-github-zmap-zcertificate-devel, golang-github-
     tv42-httpunix-devel, golang-github-macaron-binding-devel, golang-
     github-dlclark-regexp2-devel, golang-github-dave-jennifer-devel,
     golang-github-mitchellh-hashstructure-devel, golang-github-git-lfs-
     gitobj-devel, golang-github-robertkrimen-otto-devel, golang-github-
     ryanuber-glob-devel, golang-github-apache-arrow-devel, golang-github-
     segmentio-kafka-devel, golang-github-shiena-ansicolor-devel, golang-
     github-creack-pty-devel, golang-github-beevik-ntp-devel, golang-
     github-karlseguin-expect-devel, golang-github-andrew-d-termutil-devel,
     golang-github-yudai-golcs-devel, golang-github-spf13-viper-devel,
     golang-github-sdboyer-constext-devel, golang-github-alecthomas-kong-
     hcl-devel, golang-github-weppos-publicsuffix-devel, golang-github-ua-
     parser-uap-devel, golang-github-zenazn-goji-devel, golang-github-
     mohae-deepcopy-devel, golang-github-tmc-grpc-websocket-proxy-devel,
     golang-github-tomnomnom-gron-devel, golang-github-abbot-http-auth-
     devel, golang-github-coreos-gexpect-devel, golang-github-jzelinskie-
     whirlpool-devel, golang-github-hashicorp-scada-client-devel, golang-
     github-google-btree-devel, golang-github-mgutz-ansi-devel, golang-
     github-nsf-termbox-devel, golang-github-puerkitobio-urlesc-devel,
     golang-github-jedisct1-dnsstamps-devel, golang-github-
     milochristiansen-axis2-devel, golang-github-gin-contrib-sse-devel,
     golang-github-keybase-crypto-devel, golang-github-hashicorp-logutils-
     devel, golang-github-neelance-astrewrite-devel, golang-github-
     chaseadamsio-goorgeous-devel, golang-github-biogo-store-devel, golang-
     github-containernetworking-cni-devel, golang-github-gomarkdown-
     markdown-devel, golang-github-containerd-console-devel, golang-github-
     crewjam-httperr-devel, golang-github-m3db-prometheus-client-model-
     devel, golang-github-cheekybits-is-devel, golang-github-smartystreets-
     gunit-devel, golang-github-opendns-vegadns2client-devel, golang-
     github-antchfx-xpath-devel, golang-github-armon-consul-api-devel,
     golang-github-dchest-uniuri-devel, golang-github-manucorporat-stats-
     devel, golang-github-agl-ed25519-devel, golang-github-stathat-devel,
     golang-github-tdewolff-parse-devel, golang-github-daaku-zipexe-devel,
     golang-github-ianlancetaylor-demangle-devel, golang-github-jmhodges-
     clock-devel, golang-github-yvasiyarov-newrelic-platform-devel, compat-
     golang-github-redis-devel, golang-github-imdario-mergo-devel, golang-
     github-knz-strtime-devel, golang-github-elazarl-goproxy-devel, golang-
     github-ajstarks-svgo-devel, golang-github-cactus-statsd-client-devel,
     golang-github-dimchansky-utfbom-devel, compat-golang-github-tomb-
     devel, golang-github-ncw-acd-devel, golang-github-prometheus-client-
     model-devel, golang-github-tambet-asana-devel, golang-github-
     kevinburke-ssh-config-devel, golang-github-puerkitobio-purell-devel,
     golang-github-peterbourgon-g2s-devel, compat-golang-github-aphistic-
     golf-devel, golang-github-morikuni-aec-devel),
     /usr/share/gocode/src/github.com/projectdiscovery(golang-github-
     projectdiscovery-shuffledns-devel, golang-github-projectdiscovery-
     gologger-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-projectdiscovery-chaos-client-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.

Comment 5 Fabian Affolter 2020-06-30 12:40:42 UTC
(In reply to aegorenk from comment #4)
> Could you include License file in the docs

Thanks, done.


%changelog
* Tue Jun 30 2020 Fabian Affolter <mail> - 0.1.4-2
- Add license file (rhbz#1839572)

Spec URL: https://fab.fedorapeople.org/packages/SRPMS/chaos-client.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/chaos-client-0.1.4-2.fc31.src.rpm

Comment 6 aegorenk 2020-07-01 09:42:54 UTC
Thanks, Fabian.

Package Approved.

Comment 7 Fabian Affolter 2020-07-01 11:30:13 UTC
Thanks for the review. 

Could you please set fedora-review to +?

Comment 8 aegorenk 2020-07-01 14:10:35 UTC
I'm sorry for missing that.

Comment 9 Gwyn Ciesla 2020-07-01 15:00:49 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/chaos-client

Comment 10 Fedora Update System 2020-07-16 11:27:40 UTC
FEDORA-2020-3f2608bc0b has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3f2608bc0b

Comment 11 Fedora Update System 2020-07-16 11:39:20 UTC
FEDORA-2020-8c77aeb2e1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c77aeb2e1

Comment 12 Fedora Update System 2020-07-16 20:53:50 UTC
FEDORA-2020-3f2608bc0b has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-3f2608bc0b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3f2608bc0b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-07-17 01:04:14 UTC
FEDORA-2020-8c77aeb2e1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-8c77aeb2e1 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c77aeb2e1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-07-24 01:14:16 UTC
FEDORA-2020-3f2608bc0b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-07-25 01:07:17 UTC
FEDORA-2020-8c77aeb2e1 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.